Name:           siege
Version:        4.1.6
Release:    1%{?dist}
Summary:        HTTP regression testing and benchmarking utility

License:        GPLv2+
URL:            http://www.joedog.org/JoeDog/Siege
Source0:        http://download.joedog.org/siege/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libtool
BuildRequires:  libjoedog-devel

Requires:       libjoedog >= 0.1.2

%description
Siege is an HTTP regression testing and benchmarking utility.
It was designed to let web developers measure the performance of their code
under duress, to see how it will stand up to load on the internet.
Siege supports basic authentication, cookies, HTTP and HTTPS protocols.
It allows the user hit a web server with a configurable number of concurrent
simulated users. Those users place the web-server "under siege."

%prep
%setup -q
sed -i.orig doc/siegerc.in -e 's/^# logfile = *$/logfile = ${HOME}\/siege.log/'

%build
%configure --sysconfdir=/etc/siege
%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/siege
%make_install

%files
%doc AUTHORS ChangeLog README.md
%{_bindir}/bombardment
%{_bindir}/siege
%{_bindir}/siege.config
%{_bindir}/siege2csv.pl
%{_mandir}/man1/bombardment.1.*
%{_mandir}/man1/siege.1.*
%{_mandir}/man1/siege.config.1.*
%{_mandir}/man1/siege2csv.1.*
%dir %{_sysconfdir}/siege
%config(noreplace) %{_sysconfdir}/siege/urls.txt
%config(noreplace) %{_sysconfdir}/siege/siegerc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.6-1
- initial build
